<template>
  <q-toolbar class="toolbar">
    <q-toolbar-title
      v-if="!isHome"
      class="title"
    >
    </q-toolbar-title>

    <q-space />

    <q-btn
      v-if="!isHome"
      class="home-mobile-menu"
      icon="menu"
      unelevated
      dense
      @click="$emit('toggleMenu')"
    />
    <q-btn
      v-if="isHome"
      class='edit-query'
      label='Edit Query'
      unelevated
      dense
      color="purple-highlight"
      @click="$emit('toggleToolBar')"
      style='font-size: 10px; line-height: 13px; padding: 3px 10px;'
    />

    <div class="right-part">
      <div
        v-if="!isHome"
        class="right-part-nav">
        <a href='https://form.typeform.com/to/EexZftxx' target='_blank'>
          <ButtonInner>
            <span class='top-bar-link'>{{ $t("nav.contact") }}</span>
          </ButtonInner>
        </a>
      </div>
    </div>
  </q-toolbar>
</template>

<script>
import ButtonInner from '@/components/input/ButtonInner'

export default {
  components: {
    ButtonInner
  }
}
</script>

<style scoped lang="scss">
.toolbar {
  background: var(--color-off-white);

  .router-link-active {
    text-decoration: none !important;
  }

  .toolbar-back {
    font-size: 24px;
    font-weight: bold;
  }

  .title {
    font-weight: 800;

    display: grid;
    grid-template-columns: auto 1fr;
    grid-gap: 10px;
    align-items: center;

    img.smat-logo {
      height: 22px;
    };

    div.env {
      color: red;
    }
  }

  .home-mobile-menu {
    display: none;
  }

  .edit-query {
    display: none;
    margin-right: 2em;
    padding: 0 5px;
  }

  .right-part {
    display: flex;
    align-items: center;

    .right-part-nav {
      display: flex;
      align-items: center;

      > * {
        margin-right: 5rem;
      }
    }
    a {
      font-weight: bold;
      color: var(--color-white);

      &.router-link-exact-active {
        color: gray;
      }
    }

    .api-button { cursor: pointer; }
  }

  .top-bar-link {
    font-size: 12px;
  }
}

@media (max-width: 1000px) {
  .toolbar .edit-query {
    display: grid;
  }
}

@media (max-width: 860px) {
  .toolbar .top-bar-link {
    font-size: 14px;
  }
}

@media (max-width: 650px) {
  .toolbar {
    .title {
      display: grid;
    }

    .edit-query {
      margin-right: 5px;
    }

    .home-mobile-menu {
      display: grid;
    }

    .right-part {
      margin-right: 1rem;
      display: none;
    }
  }
}
</style>
